Last Comment Bug 822288 - App screenshot thumbnail is not displayed properly when swiped
: App screenshot thumbnail is not displayed properly when swiped
Status: VERIFIED FIXED
:
Product: Marketplace
Classification: Server Software
Component: Consumer Pages (show other bugs)
: 1.0
: x86_64 Android
: P3 normal (vote)
: 2013-01-10
Assigned To: Davor Spasovski [:spasovski]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 08:13 PST by Cristian Boldan
Modified: 2013-01-09 06:26 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot thumbnail (458.87 KB, image/png)
2012-12-17 08:13 PST, Cristian Boldan
no flags Details

Description Cristian Boldan 2012-12-17 08:13:47 PST
Created attachment 692961 [details]
screenshot thumbnail

Steps to reproduce:
1. Load details page for an app with with big screenshot thumbnails on your Android device (ex. https://marketplace-dev.allizom.org/app/youzeek/ )
2. Swipe through screenshots.
3. Observe the third screenshot.

Expected results:
There are no design or layout issues.

Actual results:
The third screenshot goes over the description when swiped.

Notes/Issues:
Verified on FF20 (Android 4.1.1).
Attaching screenshot for this issue.
Comment 1 Wil Clouser [:clouserw] 2013-01-04 09:21:32 PST
Is this a <video> thing?
Comment 2 Davor Spasovski [:spasovski] 2013-01-08 16:31:29 PST
It's actually a screenshot thing when the height of the screenshot is greater than its container...the SS attached just happens to show a video so it's misleading.

The real fix for this would be if FF for android respected z-index while using GPU acceleration...I'll see if there's anything we can do from our end.
Comment 3 Davor Spasovski [:spasovski] 2013-01-08 16:48:02 PST
My fix comes in a strange vial labeled 'wonder tonic' but meh:

https://github.com/mozilla/zamboni/commit/c04a452
Comment 4 Cristian Boldan 2013-01-09 06:26:10 PST
Verified as fixed in https://marketplace-dev.allizom.org/ on FF20 (Android 4.1.1 Galaxy Nexus)
The screenshot does not get out of the container anymore when swiping.
Closing bug.

Note You need to log in before you can comment on or make changes to this bug.